Loading...
Searching...
No Matches
SymbolicFactor.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::SymbolicFactor
| SymbolicFactor represents a symbolic factor that specifies graph topology but is not associated with any numerical function. More...
struct | gtsam::traits< SymbolicFactor >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< boost::shared_ptr< SymbolicConditional >, boost::shared_ptr< SymbolicFactor > > | gtsam::EliminateSymbolic (const SymbolicFactorGraph &factors, const Ordering &keys)
| Dense elimination function for symbolic factors.

## Detailed Description

Author
  Richard Roberts

Date
  Oct 17, 2010